Introduction

Introduction

Website

Copyright © Marek Martyna <2018>


Introduction

Introduction ››

GEAR is a computer program used to design toothed gears with the flank pitch line (GEAR_ZS program serves designing toothed gears with pitch helix). These can be classical gears of various degrees of complexity as well as power shift type gears. The program allows the user to achieve multi-criterion optimization of a gear due to combining different sets of criteria. At present, gear strength calculations can be done according to the ISO 6336 standard.

The application of multi-criteria optimization enables the user to have different approaches to designing gearboxes (any set of partial criteria and their weights is possible). The use of efficient optimizing procedures guarantees efficient search for the best solutions. The program - through the suitable structure of criterial functions - provides optimum load distribution for individual pairs of gears.

As there is a significant number of parameters, coefficients necessary to carry out calculations, a rule has been introduced that finally almost all the data will have initial values (suggested by the program). Obviously, almost each value will be able to be altered in an appropriate dialog window. All in all, even a user whose knowledge of toothed gear designing is limited will be able to do calculations and gain satisfactory results. Data concerning gear structure, element parameters, information on duty and optimization parameters will be shown in dialog window. It will be possible to modify all the above-mentioned data.

The figure below shows a power shift type gear.

The user has to determine the structure of the gearbox, what is performed in a very simple manner. The structure data for each transmission must be saved, just by using the dialog box, under the full control of the program (no accidental input errors) and then, the initial data for the gears will be generated from the templates. There is also possibility to present in appropriate window the scheme of an analyzed gearbox, during the entering input data of the transmission structure.

The software includes a module which allows setting initial parameters of toothed gears when a need to create new gearboxes arises. Particularly, the module adjusts the number of teeth to assumed number of gear ratios for all gears. Therefore, the initial gearbox design phase is significantly simpler. Adjustment of the number of teeth for a complex gearbox can be difficult because there is a great amount of available combinations. Thanks to this module, a user who wants to begin calculations of a gearbox only needs to define its structure and indicate gear ratios for individual gears.

Depending on applied modifications to particular gear parameters, an appropriate type of a gear is generated (three types of a toothed gear have been assumed). Appropriate dialog box serves for modifying the type of a gear in a very convenient way. The modification automatically adjusts parameters of the gear. The software validates correctness of applied parameters on the stage of data preparation - verifies the possibility of creating actual toothed gear - and suggests automatic modification of data. A user can allow automatic data modification, can modify the data manually, or ignore the warning. During optimization, the software on each of the processing steps also checks the possibility of creating an actual toothed gear. If data generated by an optimization procedure do not fulfill the requirements, then such a procedure will not launch. As a result, the calculations take less time.

Changes of input parameters are also controlled by the program - for example the program won't allow to enter the parameter value out of allowable range. A user, preferably an experienced user, can also modify the parameters within a specified range. A user with little experience in designing toothed gears can take advantage of pre-set parameters and conveniently launch and complete the calculations.

A module can be expressed in [mm] or [1/cal] (DP - Diametral-Pitch). It can also be selected in three different ways: as any module of the particular range, as any of the series of standardized modules types, or selected from among the series of types. A modification to a module for the given toothed gear results in automatic modification of all associated gears. During edition of a given toothed gear data, it is also possible to select the ‘same module for all gears’ option and then, all gears of a gearbox will be associated with a module that is expressed with the same units and they will be selected according to the pre-defined selection schedule.

Gear strength calculations are conducted according to the ISO 6336 standard. Parameters used in strength calculations, namely sigmaFlim – unlimited fatigue strength of a tooth root and sigmaHlim – unrestricted strength of a tooth side, were determined experimentally. The toothed gears used in the experiments were made of five types of steel and their toothing was finished in two ways (by grinding and shaving). Within the software, it is possible to enter parameters for a given material and conduct respective calculations. Modification of a material results in immediate modification of all parameters of materials used in the given toothed gear. Moreover, selecting appropriate option in the dialog box allows setting similar parameters of materials applied in all gears of a gearbox automatically.

The program uses efficient optimization procedures and, in case of gaining local minima, it resumes calculations automatically, modifying the start point adequately (three methods: two determined methods and one random sampling method). Such an approach enables one to search the solution space constantly. Optimization procedures can be automatically switched by the program or manually by the user.

Calculation results can be observed in a special dialog box. User can also enable or disable the additional window, which shows the variability of the optimization criteria as a function of the number of optimal steps. The graph shows plots for all selected sub-criteria and for global criterion. The X-axis scale is changing dynamically and it depends on the current number of optimal solutions. Data and results of calculations are saved to text files. Every such a text file with calculation results can be immediately used as a starting point for subsequent calculations.

The program can run under any 32-bit or 64-bit Windows operating system, but also it can be specially compiled and optimized for specific processors. It has an advanced multi-language installer, help documentation in various formats (HTML, CHM, and PDF) and multimedia demo. Program also updates automatically or on user demand.

The presented GEAR program has reached a certain stage already and its many features here discussed shall be gradually implemented, but even now most complicated and useful computations are fully possible. By using the GEAR program, it is possible to get a much shorter project cycle, optimized parameters of components and the optimized parameters of the whole gearbox.

This help contains information on how to use the program. Each stage of the project development is described in a separate chapter. Additional information can be found on the program website , from which you can also download various versions of the software.


Program description

Status of the Project

Gear

Gear Structure

Wheel Parameters

Axis distances

Gear Ratios

Operation Data

Coefficients

Partial Criteria

Optimization Parameters

Calculation Results


Status of the Project

Program description ››

All the stages necessary to do calculations leading to gear optimization are located in the dialog window ‘Status of the project'. As soon as the given stage, described on the button, is complete, the focus is on the ‘Status” field for that stage and the next stage may begin.

Note: All changes entered during particular stages do not affect the contents of the input data file and are entered in the results file. They are saved on the disc only after at least one step of the calculation procedure is performed. Every text file with calculation results can be used as a starting point for subsequent calculations.

Having ticked all the Status squares, the program can start gear computations. It is obviously possible to return to previous stages and correct the data they contain.

Click Compute to trigger a computation process, which can be continued as long as it is needed. Select Help to find explanations to the program and enter About to display information about the program version and its authors.

The What’s new button displays information about the main changes introduced into the current version of the software.

The program activates an automatic update once a month. The updating can be also activated by the user at any time, during the program operation. Updating process launches after selecting the ‘Check update’ field and pressing the Continue button. Information and dialogue widows appear on the screen, allowing for program updating:

If the below window appears, wait until the software finishes downloading data from an external server. The window disappears just before the start of installation. The software will indicate the end of installation, then it will automatically restart and prepare to work in the new version. Hence, the user doesn’t have to close the old version and open the new one.

If the version installed in the computer is identical to that on the server, the updating process finishes with a message shown below

and passes to the normal operation mode. Alternatively, a message will appear to which the user will respond accordingly.

The software’s website is also accessible through the About window.

The Status of the Project dialog box features also the Tools button. Since the option is quite complex, it was described in a separate paragraph: 'Tools'. When the option End in the window Status of the Project is selected, the preparations to data processing or the calculation procedure will be interrupted and the program will close.

When some Status boxes haven’t been ticked and the Compute option will be selected, the following message will be displayed:

Using the Polski button results in switching of program on the Polish version, as shown below:

Only at this stage can another language version be selected. When the program is started in the operating system in a language other than Polish, the English language will be selected automatically.


Tools

Program description ›› Status of the Project ››

The 'Tools' module provides the user with additional and helpful functions which are not directly applied during accomplishment of subsequent project phases. Currently, only the 'Calculations' option is available and it is illustrated below. The window has two parts. The first part refers to the possibility of setting the 'gkn' tooth thickness on the pitch diameter (around a curve) on the basis of the set of selected values: the correction factor 'x', the module 'm' and the profile angle 'alfa0'. The second part allows accomplishing reverse operations, i.e. when the 'gkn' tooth thickness on the pitch diameter is known, and the user seeks for the correction factor 'x' for the set values of the module 'm' and the profile angle 'alfa0'.

The calculations proceed in an interactive mode, i.e. each change in any of the parameters results in an immediate change in the expected value.

The below figure illustrates how the option functions when calculating the correction factor.

If in the course of calculations the assumed correction factor range for given parameter values is exceeded, the software displays a warning.


Gear

Here you can choose the calculation folder, data file and result file. The folder name and location can be introduced into the Folder editing box by typing, copying or clicking the Browse button. The result file name is generated automatically. However, it can also be typed or copied. The rule is adopted whereby the data files and result files always have the extension ‘*.prz’, for example: ‘en_classic.prz’. After the calculations, the result file can be treated as a data file (a start file for further calculations).

Files found in a selected folder are displayed in the Data File editing box. Files prefixed with 'pl_' are files containing data and descriptions in Polish, files prefixed with “en_’ are in English. Here, you choose existing data files or type a new file name. The name of the result file is initially generated in the Result File editing box on the basis of the data file name. Schematic diagrams of exemplary gears can be displayed in the subsequent stage Gear structure . Availability of the given gear schematic is indicated by the highlighted selected field 'Gear schematic'. When the new data file name is entered (the name need not have the extension '*.prz'), the focus is on the field 'Gear schematic' and the dialogue window will be modified, as shown below:

The File button can be used to indicate the location of the gear diagram on the disc (provided it exists), and the name of the file containing the schematic diagram will be written in the editor field 'File name'. The popular file formats: 'bmp' and 'png' are now accepted.

If the new data file name is entered (a new gear), then the specifications of the structure have to be entered in the next dialogue window Gear structure , and in the window Wheel parameters the wheel parameters will be read from the pattern register which has to be modified accordingly. Without any modifications, the optimization will start for the wheels with the same parameters.

Clicking the Cancel button results in returning to the Status of the Project dialog window without accepting the altered gear data (folder, data file and result file). Whereas selecting the Confirm button makes the program accept the new data and then return to the Status of the Project dialog window.

The figure below shows a conventional dialog window allowing folder choice (turned on by clicking the Browse button. Another selected folder is attached to the Folder editing window displayed in the previous window. If there are any files in the selected folder, they are displayed in the Data File editing window.

The folder selection can be confirmed by clicking OK or cancelled with the Cancel button.

When selecting the file with a gear schematic (the File button), a classical file section window is displayed, as shown below:


Gear Structure

The picture shows a dialog window, displaying in upper part the number of gears, the number of wheels and gear structure. All the information is read from the data file or introduced by the user. The structure can be modified. A completely new structure can also be defined by introducing pairs of wheel connections for particular gears, using the bottom part of the dialog window – Define or modify the structure. If a new data file name has been introduced into the Select the folder, data file... dialog window, the new structure needs determining.

The upper part of the dialog window contains information on the gear structure. If you select a line in the Structure editing field (by clicking on it), there will appear an adequate gear number in the Gear speed field and a sequence of toothed gears in the Fill in data for the selected gear speed field in the bottom, editing part of the dialog window. Similarly, selecting a gear in the Gear speed field, a structure entry for a chosen gear is displayed in the Fill in data for a selected gear speed box. Here, you can modify a pair of a chosen gear and introduce it into the gear structure using the Change button or remove the chosen gear by clicking Delete.

When the field Show the gear diagram is indicated, the focus is on the schematic diagram of the analysed gear, if it exists (exemplary gears or the diagram files indicated at the previous stage).

Using the highlighted diagram, particular links in the gear structure can be easily found and correctness of the existing entries of structures verified.

In case of editing a new structure the Structure box is initially empty. A pair of wheels can be typed or moved to the Fill in data for a selected gear speed box. When typing a sequence of wheels for a given gear, use the plus sign '+' between the wheel designates if the wheels cooperate, and the underline sign '_' for the wheels bend with a common shaft. Each wheel description always begins with the ‘z’ sign, for example z1, z5, z12 etc. Additionally, after the symbol of every gear one should to enter shaft number (parenthetic), whereon himself finds. While introducing wheel pairs for a chosen gear, the number of the edited gear appears in the Gear speed box. On completion of the structure description for a particular gear, don’t press keyboard ‘Enter’ button, select the Add button, which will put the gear into the gear structure (the Structure).

The entering of links of the new structure is monitored on an online basis. In the case of incorrect entries, warning notes will appear, for example:

or

When the key Cancel in the window Gear structure is selected, we return to the dialogue window Status of the project and the data relating to the data structure will not be accepted. Whereas, clicking Confirm accepts the structure data and opens the Status of the project dialog window.

In the program one placed example files with data for the ‘power shift’ gearbox, shown below:

recording of the gear structure:

z1(1)+z5(3)_z6(3)+z9(4)_z10(4)+z12(5)

z1(1)+z5(3)+z7(4)_z10(4)+z12(5)

z1(1)+z5(3)+z7(4)_z8(4)+z11(5)

z2(1)+z4(2)_z3(2)+z5(3)_z6(3)+z9(4)_z10(4)+z12(5)

z2(1)+z4(2)_z3(2)+z5(3)+z7(4)_z10(4)+z12(5)

z2(1)+z4(2)_z3(2)+z5(3)+z7(4)_z8(4)+z11(5)

and for the classical gearbox:

recording of the gear structure:

z1(1)+z4(2)_z6(2)+z3(1)

z1(1)+z4(2)_z5(2)+z2(1)

z1(1)+z4(2)_z7(2)+z8(3)

where (3) - shaft of the back running wheel z8, the shaft and the wheel z8 are not shown in this diagram


Determination Wheel Parameters

This part of the software allows for setting initial parameters of toothed gears for new gearboxes. Particularly, it adjusts the number of teeth to assumed number of gear ratios for all gears. Therefore, the initial gearbox design phase is significantly simpler. Adjustment of the number of teeth for a complex gearbox can be a serious challenge because there is a great amount of available combinations. Thanks to this module, a user who wants to begin calculations of a gearbox only needs to define its structure and indicate gear ratios for individual gears.

If a new name of a gearbox is entered into the 'Gear' module, then the software proceeds to the 'Determination wheel parameters' phase, provided that the structure has been defined. This phase is inactive if the software operates on an actual gearbox (it cannot be run but it is marked as accomplished).

In the case of calculations for a new gearbox, there is a possibility to skip the 'Determination Wheel Parameters' phase. It is only necessary to check the 'Skip determination of parameters...' field in the below dialog box, and the toothed gear data will be imported from a template (they are identical for each toothed gear). The data can be modified in the next phase ('Modification Wheel Parameters') or during the optimization process. If this field is checked, the Determine parameters of wheels button is inactive and the user may only press the Cancel or Confirm buttons.

If the 'Skip determination of parameters...' is not checked, then it is possible to start searching for toothed gear sets by way of entering expected gear ratios, their determination accuracy, range of toothed gears and the maximum number of expected sets which provide the required gear ratios and pressing the Determine parameters of wheels button.

After pressing this button, the software begins to search for toothed gear sets which meet the conditions for gear ratios. The operation may take a while if a great level of accuracy is expected and there are a lot of toothed gears. The below information will appear on the screen. Wait until the calculations are finished.

As soon as the information screen disappears, the calculations are over. The Results button is now active and it allows presenting the solutions which have been found. If the software did not find any solution, then an appropriate message appears on the screen with a suggestion to restart calculations. The best solution for currently selected gear is presented in the 'Obtained ratio' field.

By clicking on the Results button, the user can display a dialog box with toothed gear sets, gear ratios for individual gears and the appraisal criterion values for each set. The best solution is marked with the green colour and the row number of the solution is displayed in the bottom 'Min in a row' edit box.

By clicking on an element of any row (other than the row which displays the best solution) the software highlights it in blue, and the row’s number appears in the 'Selected set' field located in the bottom. The software assumes that when the Confirm button is pressed, the user selects that particular solutions for further calculations. The 'Choosing a set of wheels' dialog box is scalable, which means that it is possible to change its size. It is also possible to use scroll bars in order to see values of the remaining parameters which are hidden at a given moment.

There are two additional fields in the Determination wheel parameters dialog box: 'Module m' and 'Profile angle alfa0'. These parameters can be selected or typed at any moment before closing the dialog box. The both parameters (together with the generated set of the teeth number) are applied to modification of data from the template. They also allow initial selection of e.g. tooth point diameters ('da'), root diameters ('df'), diameters of the wheel rim hub ('di_z'), outer diameters of the wheel hub ('di_w') as well as inner diameters of the wheel hub ('d_o'). Thanks to that, it is not necessary to modify toothed gear parameters in the subsequent phase in order to start the optimization process (no messages about incorrect relations among the diameters are displayed).


Modification Wheel Parameters

The figure shows a dialog window allowing you to review and modify the existing set of gear wheel parameters, or to edit a new set of parameters. Here are displayed: a gear name (Gear name), a number of wheels (Number of wheels), recently modified gear wheel (Recently modified gear wheel) as well as the number of a wheel, whose parameters you intend to edit (Edit gear wheel data).

Clicking Cancel returns you to the Status of the Project dialog window without the altered parameters being accepted. Clicking Edit opens other dialog windows, containing parameters of a selected wheel. Choosing the Confirm command accepts wheel parameters and opens the Status of the project dialog window.

If the data file name was changed (a new gear) in the Select a folder, data file... window, then the ‘Data of zi wheel’ dialog window will load parameters from an adjustable template for each wheel. A wheel type and parameters of materials will also be assumed. In case of using a wheel parameters template, type of the wheel and values of parameters for all the wheels are initially identical.

The next figure includes the first of five parts of a selected wheel data.

The ‘Wheel type’ window displays three types of wheels that posses a given set of diz/diw diameters values. Basing on the input data, the software recognizes current type of a wheel and highlights it with descriptions in the magenta colour. To change the types of a wheel, choose the select wheel type according to the figure below:

Each such a change results in specific modifications to the wheel parameters set, which the software processes automatically. A user can adjust the modifications in subsequent tabs.

Here are three types (models) of gear wheels analysed in this paper.

  • The ‘rim-rib’ type with a hub, whose toothed rim part is clearly formed and connected with the hub using a rib, as shown in fig. 1.

  • The ‘roller’ type, in which neither a rib nor a hub can be distinguished from the rim part (fig.2).

  • The ‘rim-hub’ type, whose toothed rim is linked with the hub directly, fig.3.

Signs representing geometrical parameters in fig. 1, 2 and 3 are as follows:

d0 – wheel hole diameter,

diw – wheel hole hub diameter,

diz – wheel rim hub diameter,

df – wheel feet diameter,

da – wheel addendum diameter,

b – wheel rim width,

bp – wheel hub width,

bs – wheel hub rib thickness,

Sp – wheel hub thickness,

Sr – wheel rim thickness.

Typing wheel parameters in dialog windows, it should be taken into consideration that if:

1. rim hub diameter di_z>0 and wheel hole hub diameter di_w>0, then we select wheel type 1 (the ‘rim-rib’ type with a hub)

2. rim hub diameter di_z=0 and wheel hole hub diameter di_w=0, then we select wheel type 2 (the ‘roller’ type)

3. rim hub diameter di_z=0 and wheel hole hub diameter di_w>0, then we select wheel type 3 (the ‘rim-hub’ type)

The next tab, illustrated below, includes parameters of materials for a selected toothed gear. Parameters used in strength calculations, namely sigmaFlim – unlimited fatigue strength of a tooth root and sigmaHlim – unrestricted strength of a tooth side, were determined experimentally for a few materials. The toothed gears used in the experiments were made of five types of steel and their toothing was finished in two ways (by grinding and shaving).

Within the software, it is possible to enter parameters for a given material and conduct respective calculations. Modification of a material results in immediate modification of all parameters of materials used in the given toothed gear.

Moreover, selecting appropriate option in the dialog box allows setting similar parameters of materials applied in all gears of a gearbox automatically.

The window below contains the first set of parameters (there are 3 sets) for a chosen gear wheel in the GEAR_PH program. The window content differs slightly in the GEAR program.

The minimal min and maximal max value of each parameter are boundary values. All values, including the boundary values, can be edited. If the value of the given parameters does not fall in the range from min to max, the warning note will be displayed, indicating the relevant parameter and the imposed constraint. This note will be repeated until the value of the parameter should fall in the range from min to max or until the key Cancel is selected, and the parameter value being entered will not be accepted.

The configuration button can be found in the ‘Parameters 1’ tab. It is located next to the module parameter. After pressing the button, a window appears on the screen:

A module can be expressed in [mm] or [1/cal] (DP - Diametral-Pitch). It can also be selected in three different ways: as any module of the particular range, as any of the series of standardized modules types, or selected from among the series of types. A modification to a module for the given toothed gear results in automatic modification of all associated gears. During edition of a given toothed gear data, it is also possible to select the ‘same module for all gears’ option and then, all gears of a gearbox will be associated with a module that is expressed with the same units and they will be selected according to the pre-defined selection schedule.

Clicking on the next bookmarks, the values of the next parameters or their changes can be viewed.

The last wheel parameters dialog window contains the remaining parameters.

Use the button Cancel to return to the dialog window 'Select the wheel number' and the changed wheel parameters will not be accepted. When the button Confirm is used, the ‘Data of zi wheel’ dialog window is closed and a wheel number selection window is opened.


Axis distances

Next stage of the project is to define the distance between the axes. In the dialog box 'Axis distances', shown in the figure below, there are the following columns: pair number, pair wheels (wheels arranged in pair), actual wheel axis distance (the actual distance between the centers of the wheels for each pair) and required wheel axis distance (the determined distance between the centers of the wheels selected or entered by the user). The window has three tabs that can contain up to 30 pairs of wheels.

Some pairs of wheels can be associated with the same shafts, so the distance between their axes should be the same. In such cases, the change of distance between any pair of wheels in the column required wheel axis distance will cause a simultaneous change of distance to the other associated pairs.

The 'Axis distances' option can be used in three ways:

1. User doesn't make any changes, current and entered distances between axes are identical. The program during optimization is trying to keep the current distance between axes;

2. User modifies the distance between axes in the column required wheel axis distance, selects or puts values. During optimization, program aims to solve calculations for selected axes distance.

3. Selected check-box axis distance determined during optimization allows to change the distance between axes during calculation in correlation with the optimization criteria.

The third method is superior to the others. If it is selected, it will determine the distance between axes, regardless any changes in the column required wheel axis distance.

It allows for the optimization of existing gear set (method 1), some modifications of distance between axes for an existing gear set (method 2) or searching for better or completely new solutions (method 3).


Gear Ratios

In the program, some tolerance can be assumed for gear ratios of particular gears. It allows you to change the number of wheel teeth, while calculating optimal values. A gear ratio and current lower and upper deviations, as well as resulting border ratio values, are displayed here for a chosen gear (Number of gear). Changes in deviation values determine new border ratio values.

Clicking Cancel returns you to the Status of the Project dialog window, without approving changed gear ratio deviations. Clicking Confirm approves the introduced changes of lower and upper ratio deviations and opens the Status of the Project dialog window.


Operation Data

In the ‘Operation data’ box you can select or type the following data:

- Torque and RPM

or

- Power and RPM

Clicking Cancel returns you to the Status of the Project dialog window without approving the changed operation data. Clicking Confirm approves the operation data and opens the Status of the Project dialog window.


Coefficients

The software distinguishes two sets of coefficients, which are adjustable thorough the ‘Coefficients’ dialog box. The dialog box includes coefficients that concern tooth root strength and contact stresses. In the first set we can change: factor of application k_a, minimal safety coefficient s_f_min, stress correction coefficient y_st and durability coefficient y_nt. Available for contact stresses: limit (minimum) safety factor s_h_min, durability factor z_nt and kinematic viscosity of the oil at 50 degrees temperature ni_50.

Coefficients’ values are also placed in the output file (in the results of calculations) and if we use the file to start new calculations, the coefficients’ values will be preserved.


Partial Criteria

The figure shows the dialog box which allows to select optimization parameters. It also allows to select or enter values for the additional parameters (weight and normalizing values) which determine their participation in the global criterion. You can choose a set of criteria, weights and values normalizing particular partial criteria. To select the given criterion, use the appropriate button in the column Set.

Clicking the Full set check box selects the full set option.

The weights of particular criteria should be chosen such that for the given set of criteria, their sum should total '1'. For identical weight coefficients in the given set, normalised values should ensure the similar contribution of particular partial criteria to the value of the global criterion.

Partial criteria can be combined with one another in any way. When a given partial criterion is not selected from the set, its weight coefficient is zeroed during the calculation procedure, no matter what its current value in the window 'Parameters of partial criteria'. A set of partial criteria can be modified and extended, depending on the users’ needs.

Clicking Cancel returns you to the Status of the Project dialog window. The modified data concerning partial criteria are not approved in this case. Clicking Confirm approves the set of criteria along with their parameters and returns you to the Status of the Project dialog window.

Partial criteria can be divided into 4 groups:

- geometric criteria (K1 , K2 , K3),

- mass criteria (K4 , K5),

- strength criteria (K6 , K7 , K8),

- operation criteria (K9,K10,K11).

Selected partial criteria have been determined, as shown below:

- an inverse of minimal tooth face contact ratio εα for a ‘p’ pair of wheels:

- a maximal tooth form factor yF for ‘k’ wheels:

- an inverse of the absolute value of minimal tooth thickness at peak Sα for ‘k’ wheels:

- total mass of wheels:

- total moment of inertia of wheels:

- root endurance margin:

where: σFdop - allowable fatigue strength of the tooth root

σFmax - maximal stress of the tooth root

- endurance margin of the tooth surface:

where: σhpk - allowable stress of the tooth side

σhk - calculation stress of the tooth side

- strains uniformity of wheel materials:

where: σ1 - standard deviation of the difference 0.85*σFdop - σFmax

σ2 - standard deviation of the difference 0.85*σhpk - σhk

- minimal relative thickness of oil-film for the ‘p’ pair of wheels:

A minimal relative (related to roughness parameter Ra) thickness of the lubricant layer λj is calculated for 5 characteristic points of the toothed pair. Subsequently, substitute thickness of the lubricant layer λz, measured with weights uj:

n - gear number, n=1,b

i - toothed pair number, i=1,p

K9 criterion is expressed with the equation:

and the global criterion was written with the dependance:

where:

b | - | number of gear speeds,
p | - | number of wheel pairs,
k | - | number of wheels,
no | - | index of not meeting constraints , ‘no’ takes value 0 or 1,
lo | - | number of functional constraints (equality and inequality),
m | - | number of criteria,
wj | - | weight coefficient of ‘j’ partial criterion,
Knj | - | value standardizing ‘j’ partial criterion.


Optimization Parameters

The figure shows the ‘Optimization parameters’ dialog window, where you can select: an optimization procedure (Optimization procedure), automatic start of optimization procedures (Switch procedures automatically), number of steps (Number of steps of optim. stage), number of optimization re-starts (Number of optim. re-starts) and re-start methods (Re-start methods): random or determined (2 methods), as well as the maximal number of calculation steps (Max. number of steps). Calculation re-start is related to another Delta_x_max parameter, which determines the maximal value of the increments of location modifying vector coordinates. You can also choose one calculation step (Only one step). While calculating, particular parameters can be repeatedly modified.

Three optimization procedures from IMSL library (NNLPF, BCONF, BCPOL), NLPQLP procedure (Prof. K. Schittkowski) and the SSW_MM procedure (M. Martyna) written based on article [1] are applied in the program. They can be used in any order, repeatedly and interchangeably. Choosing Switch procedures automatically switches procedures automatically and repeatedly while calculating. The Number of steps of optim. stage parameter and Number of optim. re-starts parameter determine the calculation complexity of a given optimization stage. The former determines the maximal number of optimization steps in a particular procedure started once. The algorithm of continuing global solution search uses the latter parameter. Having found a local minimum, the algorithm creates a new starting point (on the basis of the minimum point) and restarts calculations. The Re-start methods parameter allows you to select a way of modifying coefficients correcting the starting point location. There are two determined methods and one random method at your disposal. Choosing Switch automatically switches re-start methods automatically and repeatedly while calculating. Delta_x_max defines the maximal increment of the co-ordinates of the position modification vector. Max. number of steps parameter determines the total, permissible number of steps from all calculation stages. It will frequently be used with the Switch procedures automatically option switched on, which will stop calculations as soon as all the ordered steps have been completed.

Clicking Cancel returns you to the Status of the Project dialog window without approving optimization parameters data. Clicking Confirm opens the Status of the Project dialog window, having approved a set of optimization parameters.

[1] Molina D., Lozano M., Sanchez A. M., Herrera F.: Memetic algorithms based on local search chains for large scale continuous optimization problems: MA-SSW-Chains. Springer-Verlag 2010.


Calculation Results

The last window 'Optimisation results' is used to present the current calculation data. In the top left-hand corner, there are boxes containing file names: a data file name (data) and result file name (result). At the top of the window, there is some information on the currently operating optimization procedure (opt_method), step number, the best solution at a given moment (step_o_solu), number of decisive variables (dec_var) and the number of non-linear and linear constraints (nonl_const) and (lin_const) respectively. Below shows the initial values ​​of criteria parameters (start_par_val) and criteria parameter values (param_val), partial criteria values (partial_crit), weight values (weight), standardizing values (stand_val) and standardised criteria values (stand_crit) for the currently best solution.

When the button Start is used, the optimisation procedure begins.

At the bottom we have fields containing the current number of steps (calculat_step) and the data processing rate expressed as the number of steps per second (step/sec), number of ordered restarts (restars_numb), number of running restarts (restart) as well as global criteria values: current (GC_current), initial (GC_initial) and total (GC) values.

In the lower, left-hand corner of the window 'Optimisation results' is an option Plot, activating another window displaying the variable optimisation criteria in the function of the optimal step number. There are plots of all partial criteria selected at the stage Partial criteria as well as the global criterion. The scale on the X-axis is varied dynamically, depending on the current number of available optimal solutions.

The dimensions and position of the window 'Plot’ on the screen may change and the window can be closed any time. When this window is on, the calculations become slightly slower. This window can be repeatedly opened and closed during the calculation procedure.

When the button Stop is used, the calculation procedure is interrupted, the buttons Results and Start are activated and the button description is changed to Project. If calculations are continued after clicking Stop, wait till the program attempts to restart or change the optimization procedure. At the same time the description of the button Stop is changed to Wait. When the button Project is selected, the user can pass on to the window Status of the Project and can close the window with plots, if it was open. Selecting the button Results opens a text file with current optimisation results.

Selecting the button Start, restarts the computation procedure provided the allowable number of steps has not been exceeded. Results of particular optimization stages (files) can be accessed in a folder selected earlier in the Select a folder, data file... dialog window.


Notes

Notes

Contact


Notes

Notes ››
  1. Help corresponds with the 1.3.3 version of the GEAR (GEAR_PH) program.
  2. It is also possible to use the Demo.exe file, descriptions and examples which can be found on the ‘Gear’ website.


Contact

Notes ››

Contact:

Marek Martyna

Tel.(land-line): +48 15 8136284

e-mail: mm@gearbox.programy-mm.pl

Contact:

Jan Zwolak

Tel.(land-line): +48 12 6624762

e-mail: jazwol@op.pl


Website

 Redirecting... click here if nothing happens